/*   decode_data.c   */

STATION_ENTRY *sty;
CHANNEL_ENTRY *chy;
TIME_ENTRY    *time_entry;
BLOCK74       *bl74;

#define LOOP_OVER_STATIONS     for ( sty=VI->Root_Station;\
                                     sty!=NULL;\
                                     sty=sty->Next)
#define LOOP_OVER_CHANNELS     for ( chy=sty->Root_Channel;\
                                     chy!=NULL;\
                                     chy=chy->Next)
#define LOOP_OVER_TIME_ENTRIES for ( time_entry=VI->Root_Time_Entry;\
                                     time_entry!=NULL; \
                                     time_entry=time_entry->Next)
#define LOOP_OVER_BLOCK74      for ( bl74=time_entry->Root_Block74;\
                                     bl74 != NULL;\
                                     bl74=bl74->Next)





#define SRO_MANTISSA_MASK      0x0fff                   /* format ID 1 */
#define SRO_GAIN_MASK          0xf000
#define SRO_GAIN_SHIFT         12

#define RSTN_MANTISSA_MASK     0x3fff                   /* format ID 3 */
#define RSTN_GAIN_MASK         0xc000
#define RSTN_GAIN_SHIFT        14

#define GRF_MANTISSA_MASK      0xfff0                   /* format ID 4 */
#define GRF_GAIN_MASK          0x000f
#define GRF_MANTISSA_SHIFT     4


