/*   Functions in decode_data.c  */

void     store_trigger();
void     time_of_last_sample();
void     copy_time ( );
void     init_filenames();
void     remove_dtmp_files();
double   time_to_sec();
double   time_to_sec2();
double   time_to_sec3();
char     *create_tmp_file ();

 /*  GDSN  functions */
void     analyze_gdsn_data();
void     parse_header();
int      get_number_of_channels ();
float    get_samples_per_second();
void     get_channels_gdsn();
void     read_data();
void     decode_data();
 
/*  SEED functions */
int      analyze_seed_data();
int      get_channels_seed();
int      read_seed_data();
int      decode_seed_data();
void     decode_asro ();
void     decode_cdsn ();
void     decode_graef ();
void     decode_dwwssn ();
void     decode_echery ();
void     decode_steim ();
void     decode_sro ();
void     decode_32bit ();
 

/* Functions in mkplot.c  */

 
void           graphics_loop();
int            check_for_multiplex();
int            channel_order();
int            data_type_available();
void           draw_plot_window();
void           get_point_limits ();
void           draw_scaled_points ();
void           canvas_event_proc();
void           repaint_proc();
void           find_data_points();
int            determine_class();
void           draw_tics();
STDTIME        *sec_to_time();
 
