#include "conver.h"
#include "user2.h"
#include "seed.h"

print_response (of, sty, chy)
STATION_ENTRY *sty;
CHANNEL_ENTRY *chy;
FILE *of;
{
	RESPONSE *looper, *response;

        response = chy->Root_Response;

	for (looper = response; looper != NULL; looper = looper->Next) {
	     if (looper->type == 'P') print_type53 (of,sty, chy, looper->ptr.PZ);
/*
	     else if (looper->type == 'C') print_type54 (of,looper->ptr.CO);
	     else if (looper->type == 'L') print_type55 (of,looper->ptr.RL);
	     else if (looper->type == 'G') print_type56 (of,looper->ptr.GR);
	     else if (looper->type == 'D') print_type57 (of,looper->ptr.DM);
*/
	     else if (looper->type == 'S') print_type58 (of,sty, chy, looper->ptr.SENS);
	     else {
			fprintf (stderr, "WARNING [print_response]:  ");
			fprintf (stderr, "unknown response type %c encountered.\n", 
				looper->type);
			fprintf (stderr, "\tExecution continuing.\n");
			fprintf(of,"\tWARNING [print_response]:  ");
			fprintf(of,"unknown response type %c encountered.\n\n",
				looper->type);
	     }
	}
}

