#define MAXSTAT 48

struct stat {     
  float epi;
  float lat;
  float lon;
  float eleva;
  char codes[6];
  char inst[10];
  int pos;
  int len[3];
  int nums;
  float back;
  float tcor;
} st[MAXSTAT];
  

struct hcb {
               int   id;
               int   year;
               int   day;
               int   hour;
               int   minute;
               int   sec;
               float mss;
               int   form;
               int   nchan;
               float rate;
               int   nsamp;
        } hdr; 

struct complx {
      double x;
      double y;
  };

struct calibra {
      float a0;
      float cal_ds;
      float cal_dsave;
      float cal_freq;
      int np;
      int nz;
      struct complx poles[30];
      struct complx zeroes[30];
} calib[3] ;



